Index: patches/library/selenium/webdriver/chrome/service.py
===================================================================
--- patches/library/selenium/webdriver/chrome/service.py	(revision 682)
+++ patches/library/selenium/webdriver/chrome/service.py	(revision 682)
@@ -0,0 +1,118 @@
+#!/usr/bin/python
+#
+# Copyright 2011 Webdriver_name committers
+# Copyright 2011 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+import os
+import subprocess
+from subprocess import PIPE
+import time
+
+from selenium.common.exceptions import WebDriverException
+from selenium.webdriver.common import utils
+
+class Service(object):
+    """
+    Object that manages the starting and stopping of the ChromeDriver
+    """
+
+    def __init__(self, executable_path, port=0, service_args=None,
+                 log_path=None, env=None):
+        """
+        Creates a new instance of the Service
+
+        :Args:
+         - executable_path : Path to the ChromeDriver
+         - port : Port the service is running on
+         - service_args : List of args to pass to the chromedriver service
+         - log_path : Path for the chromedriver service to log to"""
+
+        self.port = port
+        self.path = executable_path
+        self.service_args = service_args or []
+        if log_path:
+          self.service_args.append('--log-path=%s' % log_path)
+        if self.port == 0:
+            self.port = utils.free_port()
+        self.env = env
+
+    def start(self):
+        """
+        Starts the ChromeDriver Service.
+
+        :Exceptions:
+         - WebDriverException : Raised either when it can't start the service
+           or when it can't connect to the service
+        """
+        env = self.env or os.environ
+        try:
+            startupInfo = subprocess.STARTUPINFO()
+            startupInfo.dwFlags |= subprocess.STARTF_USESHOWWINDOW
+            self.process = subprocess.Popen([
+              self.path,
+              "--port=%d" % self.port] +
+              self.service_args, env=env, stdout=PIPE, stderr=PIPE,
+              startupinfo = startupInfo)
+        except:
+            raise WebDriverException(
+                "'" + os.path.basename(self.path) + "' executable needs to be \
+                available in the path. Please look at \
+                http://docs.seleniumhq.org/download/#thirdPartyDrivers \
+                and read up at \
+                http://code.google.com/p/selenium/wiki/ChromeDriver")
+        count = 0
+        while not utils.is_connectable(self.port):
+            count += 1
+            time.sleep(1)
+            if count == 30:
+                raise WebDriverException("Can not connect to the '" +
+                                         os.path.basename(self.path) + "'")
+
+    @property
+    def service_url(self):
+        """
+        Gets the url of the ChromeDriver Service
+        """
+        return "http://localhost:%d" % self.port
+
+    def stop(self):
+        """
+        Tells the ChromeDriver to stop and cleans up the process
+        """
+        #If its dead dont worry
+        if self.process is None:
+            return
+
+        #Tell the Server to die!
+        try:
+            from urllib import request as url_request
+        except ImportError:
+            import urllib2 as url_request
+
+        url_request.urlopen("http://127.0.0.1:%d/shutdown" % self.port)
+        count = 0
+        while utils.is_connectable(self.port):
+            if count == 30:
+               break
+            count += 1
+            time.sleep(1)
+
+        #Tell the Server to properly die in case
+        try:
+            if self.process:
+                self.process.kill()
+                self.process.wait()
+        except OSError:
+            # kill may not be available under windows environment
+            pass
Index: setup.py
===================================================================
--- setup.py	(revision 497)
+++ setup.py	(revision 720)
@@ -19,6 +19,9 @@
                        [os.path.join("locale", language, "LC_MESSAGES",
                                      "mlx.mo")]))
-data_files.append(("", ["logo.png",
-                        "conn_grey.png", "conn_red.png", "conn_green.png"]))
+data_files.append(("", ["logo.png", "simbrief.html",
+                        "conn_grey.png", "conn_red.png", "conn_green.png",
+                        "mlx_cef_caller.sh", "mlx_cef_caller_secondary.sh",
+                        "mlx_cef_caller.bat", "mlx_cef_caller_secondary.bat"]))
+
 if os.name=="nt":
     import py2exe
@@ -26,7 +29,12 @@
     data_files.append(("", ["logo.ico"]))
 
+    chromedriver = os.environ.get("CHROMEDRIVER")
+    if chromedriver:
+        data_files.append(("", [chromedriver]))
+
     msvcrDir = os.environ["MSVCRDIR"] if "MSVCRDIR" in os.environ else None
     if msvcrDir:
-        data_files.append(("Microsoft.VC90.CRT",  glob(os.path.join(msvcrDir, "*.*"))))
+        data_files.append(("Microsoft.VC90.CRT", glob(os.path.join(msvcrDir, "*.*"))))
+        os.environ["PATH"] = os.environ["PATH"] + ";" + glob(os.path.join(msvcrDir))[0]
 
     gtkRuntimeDir = os.environ["GTKRTDIR"] if "GTKRTDIR" in os.environ else None
@@ -47,7 +55,25 @@
                            glob(os.path.join(gtkRuntimeDir, path, "*"))))
 
+    cefDir = os.environ.get("CEFDIR")
+    if cefDir:
+        for fileName in ["icudt.dll", "subprocess.exe"]:
+            data_files.append(("", [os.path.join(cefDir, fileName)]))
+
+        data_files.append(("locales",
+                           glob(os.path.join(cefDir, "locales", "*"))))
+
+    print data_files
+
     with open("mlx-common.nsh", "wt") as f:
             print >>f, '!define MLX_VERSION "%s"' % (mlx.const.VERSION)
             f.close()
+else:
+    for (dirpath, dirnames, filenames) in os.walk("patches"):
+        if filenames:
+            filenames = [os.path.join(dirpath, filename)
+                         for filename in filenames]
+            data_files.append((dirpath, filenames))
+
+
 
 long_description="""MAVA Logger X
@@ -71,5 +97,5 @@
                  { "script" : "mlxupdate.py",
                    "uac_info" : "requireAdministrator"}],
-      options = { "py2exe" : { "includes": "gio, pango, atk, pangocairo",
+      options = { "py2exe" : { "includes": "gio, pango, atk, pangocairo, lxml._elementpath",
                                "skip_archive": True} },
       zipfile = "library/.",
@@ -80,4 +106,6 @@
 
 if os.name=="nt":
+    os.rename(os.path.join(scriptdir, "dist", "library", "libcef.dll"),
+              os.path.join(scriptdir, "dist", "libcef.dll"))
     mlx.update.buildManifest(os.path.join(scriptdir, "dist"))
     with open(os.path.join(scriptdir, "dist", "Uninstall.conf"), "wt") as f:
Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 644)
+++ src/mlx/acft.py	(revision 709)
@@ -85,4 +85,14 @@
 #---------------------------------------------------------------------------------------
 
+class SimBriefData(object):
+    """Data to be used when creating SimBrief briefings."""
+    def __init__(self, climbProfiles, cruiseProfiles, descentProfiles):
+        """Construct the SimBrief data with the given profiles."""
+        self.climbProfiles = climbProfiles
+        self.cruiseProfiles = cruiseProfiles
+        self.descentProfiles = descentProfiles
+
+#---------------------------------------------------------------------------------------
+
 class Aircraft(object):
     """Base class for aircraft."""
@@ -123,4 +133,6 @@
         self.maxTouchDownPitch = 15.0
         self.brakeCoolTime = 10.0
+
+        self.simBriefData = None
 
         self._checkers = []
@@ -720,4 +732,7 @@
         self.maxTakeOffPitch = 16.2
         self.maxTouchDownPitch = 14.7
+        self.simBriefData = SimBriefData(["250/280/78"],
+                                         ["CI", "M75", "M78", "M79", "M80", "LRC"],
+                                         ["78/280/250"])
 
 #---------------------------------------------------------------------------------------
@@ -733,4 +748,7 @@
         self.maxTakeOffPitch = 14.7
         self.maxTouchDownPitch = 13.2
+        self.simBriefData = SimBriefData(["250/280/78"],
+                                         ["CI", "M75", "M78", "M79", "M80", "LRC"],
+                                         ["78/280/250", "78/250/250"])
 
 #---------------------------------------------------------------------------------------
@@ -746,4 +764,7 @@
         self.maxTakeOffPitch = 11
         self.maxTouchDownPitch = 9.5
+        self.simBriefData = SimBriefData(["250/280/78"],
+                                         ["CI", "M76", "M78", "M79", "M80", "LRC"],
+                                         ["78/280/250", "78/250/250"])
 
 #---------------------------------------------------------------------------------------
@@ -754,4 +775,7 @@
         super(B738Charter, self).__init__(flight)
         self.mtow = 77791
+        self.simBriefData = SimBriefData(["AUTO"],
+                                         ["280/M74"],
+                                         ["AUTO"])
 
 #---------------------------------------------------------------------------------------
@@ -826,4 +850,8 @@
         self.maxTakeOffPitch = 8.0
         self.maxTouchDownPitch = 7.0
+        self.simBriefData = SimBriefData(["I-900", "II-900", "III-900",
+                                          "I-850", "II-850", "III-850"],
+                                         ["MCR", "ISC", "LRC", "HSC"],
+                                         ["I-850", "II-850", "III-850"])
 
 #---------------------------------------------------------------------------------------
@@ -878,4 +906,7 @@
         self.maxTakeOffPitch = 9.6
         self.maxTouchDownPitch = 8.1
+        self.simBriefData = SimBriefData(["250/290/78"],
+                                         ["CI", "M76", "M78", "M80", "M82", "M84", "LRC"],
+                                         ["78/290/250"])
 
 #---------------------------------------------------------------------------------------
@@ -902,4 +933,7 @@
         self.maxTakeOffPitch = 18.0
         self.maxTouchDownPitch = 18.0
+        self.simBriefData = SimBriefData(["250/70", "290/74"],
+                                         ["CI", "LRC", "M70", "M72", "M74", "M77", "M80"],
+                                         ["74/290/250", "77/320/250"])
 
 #---------------------------------------------------------------------------------------
@@ -1045,4 +1079,7 @@
         self.maxTakeOffPitch = 16.0
         self.maxTouchDownPitch = 16.0
+        self.simBriefData = SimBriefData(["AUTO"],
+                                         ["300/M80"],
+                                         ["AUTO"])
 
     @property
Index: src/mlx/common.py
===================================================================
--- src/mlx/common.py	(revision 585)
+++ src/mlx/common.py	(revision 651)
@@ -18,5 +18,6 @@
 #-------------------------------------------------------------------------------
 
-if os.name=="nt" or "FORCE_PYGTK" in os.environ:
+# Due to CEF, PyGTK is the default
+if "FORCE_PYGOBJECT" not in os.environ:
     print "Using PyGTK"
     pygobject = False
Index: src/mlx/config.py
===================================================================
--- src/mlx/config.py	(revision 503)
+++ src/mlx/config.py	(revision 689)
@@ -211,5 +211,5 @@
 class Config(object):
     """Our configuration."""
-    DEFAULT_UPDATE_URL = "http://mlx.varadiistvan.hu/update"
+    DEFAULT_UPDATE_URL = "http://mlx.varadiistvan.hu/update/cef"
 
     _messageTypesSection = "messageTypes"
@@ -233,4 +233,9 @@
         self._vsSmoothingLength = -2
 
+        self._useSimBrief = False
+        self._simBriefUserName = ""
+        self._simBriefPassword = ""
+        self._rememberSimBriefPassword = False
+
         self._pirepDirectory = None
         self._pirepAutoSave = False
@@ -442,4 +447,52 @@
         if vsSmoothingLength!=self._vsSmoothingLength:
             self._vsSmoothingLength = vsSmoothingLength
+            self._modified = True
+
+    @property
+    def useSimBrief(self):
+        """Check if SimBrief should be used."""
+        return self._useSimBrief
+
+    @useSimBrief.setter
+    def useSimBrief(self, useSimBrief):
+        """Check if SimBrief should be used."""
+        if self._useSimBrief != useSimBrief:
+            self._useSimBrief = useSimBrief
+            self._modified = True
+
+    @property
+    def simBriefUserName(self):
+        """Get the SimBrief user name last used"""
+        return self._simBriefUserName
+
+    @simBriefUserName.setter
+    def simBriefUserName(self, simBriefUserName):
+        """Set the SimBrief user name to be used next."""
+        if self._simBriefUserName != simBriefUserName:
+            self._simBriefUserName = simBriefUserName
+            self._modified = True
+
+    @property
+    def simBriefPassword(self):
+        """Get the SimBrief password last used"""
+        return self._simBriefPassword
+
+    @simBriefPassword.setter
+    def simBriefPassword(self, simBriefPassword):
+        """Set the SimBrief password to be used next."""
+        if self._simBriefPassword != simBriefPassword:
+            self._simBriefPassword = simBriefPassword
+            self._modified = True
+
+    @property
+    def rememberSimBriefPassword(self):
+        """Get if we should remember the SimBrief password."""
+        return self._rememberSimBriefPassword
+
+    @rememberSimBriefPassword.setter
+    def rememberSimBriefPassword(self, rememberSimBriefPassword):
+        """Set if we should remember the SimBrief password."""
+        if rememberSimBriefPassword!=self._rememberSimBriefPassword:
+            self._rememberSimBriefPassword = rememberSimBriefPassword
             self._modified = True
 
@@ -678,4 +731,15 @@
                                                 "vsSmoothingLength",
                                                 -2))
+
+        self._useSimBrief = self._getBoolean(config, "simbrief",
+                                             "use", False)
+        self._simBriefUserName = self._get(config, "simbrief",
+                                           "username", "")
+        self._simBriefPassword = self._get(config, "simbrief",
+                                           "password", "")
+        self._rememberSimBriefPassword = self._getBoolean(config, "simbrief",
+                                                          "rememberPassword",
+                                                          False)
+
         self._pirepDirectory = self._get(config, "general",
                                          "pirepDirectory", None)
@@ -758,4 +822,12 @@
                    str(self._vsSmoothingLength))
 
+        config.add_section("simbrief")
+        config.set("simbrief", "use",
+                   "yes" if self._useSimBrief else "no")
+        config.set("simbrief", "username", self._simBriefUserName)
+        config.set("simbrief", "password", self._simBriefPassword)
+        config.set("simbrief", "rememberPassword",
+                   "yes" if self._rememberSimBriefPassword else "no")
+
         if self._pirepDirectory is not None:
             config.set("general", "pirepDirectory", self._pirepDirectory)
@@ -907,4 +979,8 @@
         print "  vsSmoothingLength:", self._vsSmoothingLength
 
+        print "  useSimBrief:", self._useSimBrief
+        print "  simBriefUserName:", self._simBriefUserName
+        print "  rememberSimBriefPassword:", self._rememberSimBriefPassword
+
         print "  pirepDirectory:", self._pirepDirectory
         print "  pirepAutoSave:", self._pirepAutoSave
Index: src/mlx/const.py
===================================================================
--- src/mlx/const.py	(revision 722)
+++ src/mlx/const.py	(revision 726)
@@ -11,5 +11,5 @@
 
 ## The version of the program
-VERSION="0.36"
+VERSION="0.36cef"
 
 #-------------------------------------------------------------------------------
Index: src/mlx/gui/acars.py
===================================================================
--- src/mlx/gui/acars.py	(revision 649)
+++ src/mlx/gui/acars.py	(revision 649)
@@ -0,0 +1,36 @@
+
+from common import *
+
+from mlx.i18n import xstr
+import mlx.const as const
+
+import cef
+
+#------------------------------------------------------------------------------
+
+## @package mlx.gui.acars
+#
+# The ACARS tab.
+#
+# This module implements to \ref ACRS class, which displays the MAVA ACARS in a
+# browser window using CEF
+
+#------------------------------------------------------------------------------
+
+class ACARS(gtk.VBox):
+    """The flight info tab."""
+    # The URL of the ACARS map
+    URL = "http://virtualairlines.hu/acars2/show.html"
+
+    def __init__(self, gui):
+        """Construct the flight info tab."""
+        super(ACARS, self).__init__()
+        self._gui = gui
+
+    def start(self):
+        """Start the browser."""
+        container = cef.getContainer()
+
+        self.pack_start(container, True, True, 0)
+
+        cef.startInContainer(container, ACARS.URL)
